GET
detentionactions API
Retrieve and manage detentionactions records from the Apps4Edu sync database.
Endpoint Path
GET
/api/detentionactions
CURL Example
curl "https://api.apps4education.co.uk/api/detentionactions?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
Field Definitions
| Field | Type |
|---|---|
detentionActionsID
|
int |
detentionTypeDescription
|
text |
detentionTypeName
|
varchar |
isActive
|
varchar |
priority
|
int |
allowDetentionClash
|
varchar |
escalateEventDescription
|
text |
escalateEventName
|
varchar |
requireAuthorisation
|
varchar |
yearGroup
|
varchar |
created_at
|
timestamp |
updated_at
|
timestamp |
school_id
|
bigint |
Response Body (Sample)
{ "data": [ { "detentionActionsID": 101, "detentionTypeDescription": "example_value", "detentionTypeName": "example_value", "isActive": true, "priority": "example_value", "allowDetentionClash": "example_value", "escalateEventDescription": "example_value", "escalateEventName": "example_value", "requireAuthorisation": true, "yearGroup": "example_value", "created_at": "example_value", "updated_at": "example_value", "school_id": "example_value" } ] }
Query Parameters
api_token
Required. Your unique API key must be passed as a query string parameter.
school
Optional. A Bromcom school ID to restrict rows to one school.
page
Optional. Defaults to 1. Used to navigate through paginated results.
per_page
Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.